/*
    Share
*/
.share {
    display: flex;
    flex-direction: row;
    width: 80%;

    &__platform {
        display: flex;
        border-radius: 5px;
        border: 1px solid;
        margin-right: 0.2em;
        padding: 0.4em 1em;
        justify-content: center;
        font-weight: normal;

        &--facebook {
            color: $facebook;

            &:hover {
                color: $facebook;
            }
        }

        &--twitter {
            color: $twitter;

            &:hover {
                color: $twitter;
            }
        }

        &--linkedin {
            color: $linkedin;

            &:hover {
                color: $linkedin;
            }
        }

        @media (max-width: $md) {
           padding: 0.3em 0.8em;
        }
    }

    &__icon {
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            font-size: 0.8em;
        }
    }

    &__description {
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 0.8rem;
        line-height: 0.8rem;
        text-transform: uppercase;
        padding-left: 0.5em;
    }

    &--mobile {
        margin-top: 0.5em;
        display: none;
        
        @media (max-width: $sm) {
            display: flex;
            order: 1;
            position: sticky;
            top: 0;
            width: 100%;
            background-color: $white;
            padding: 0.5em 0;
            margin: 0;
        }
    }

    &--desktop {
        margin-top: 0.5em;
        
        @media (max-width: $sm) {
            display: none;
        }
    }
}